[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt] PATCH: configure.in should use 'ld' from $PATH for checking version-script syntax, not hardcode /usr/bin/ld



Hi,
I had a few minor patches which I had sent by using Bugzilla.
I believe I should have sent them to this list instead...
Here's the first (reference 531496 https://bugzilla.redhat.com/show_bug.cgi?id=531496)

configure.in should use 'ld' from $PATH for checking version-script syntax, not hard-coded in /usr/bin/ld

-Steve

--- libvirt/configure.in	2009-11-08 20:57:08.194911693 -0800
+++ libvirt-ld/configure.in	2009-11-08 22:12:57.524840188 -0800
@@ -66,7 +66,7 @@
 AM_PROG_CC_C_O
 
 VERSION_SCRIPT_FLAGS=-Wl,--version-script=
-`/usr/bin/ld --help 2>&1 | grep -- --version-script >/dev/null` || \
+`ld --help 2>&1 | grep -- --version-script >/dev/null` || \
     VERSION_SCRIPT_FLAGS="-Wl,-M -Wl,"
 AC_SUBST(VERSION_SCRIPT_FLAGS)
 

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]